QGIS help is currently not available

2017-12-10 04:49 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee: Yves Jacolin

Category: Documentation and Help

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25562

Description

Hitting the help button in any dialog leads to the Oops page with

QGIS help is currently not available. This is likely because:

No internet connection is available

The offline help files are not available or the location of these files is not properly configured

No help content is available for the requested topic

Please check that the correct location of the offline help files is specified in the QGIS options dialog (Settings → Options →System).

Settings are good and point to online doc (using the default link and a hard-coded https://docs.qgis.org/testing/en/docs/user_manual/)

I've tried on two different machines (self-compiled on xenial and osgeo4w last build on windows 10) and seems that it's not a local issue.

But can figure out where the issue resides.

History

#1 - 2017-12-12 09:38 AM - Richard Duivenvoorde

It was fixed commit:547744441244882ff41283c0200bae0fbda98def but broke again commit:678758c9baf6db386aff205301c037c67b5247e9

#2 - 2017-12-12 04:38 PM - Richard Duivenvoorde

- Resolution set to fixed/implemented

- Status changed from Open to Closed

commit:678758c9baf6db386aff205301c037c67b5247e9 is reverted

Clicking Help button now works \o/
